Place icons should be in their respective packages

Bug #672447 reported by Olivier Tilloy on 2010-11-08
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
Wishlist
Unassigned
unity-2d
Wishlist
Florian Boucault
unity-lens-applications
Wishlist
Unassigned
unity-lens-files
Wishlist
Unassigned
unity (Ubuntu)
Wishlist
Unassigned
unity-place-applications (Ubuntu)
Wishlist
Unassigned
unity-place-files (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: unity

The place packages (unity-place-files, unity-place-applications) contain place files (installed in /usr/share/unity/places/), in which place entries are described, and among other information, an icon is associated to each entry.

The icons should be packaged along with their respective places. They are currently packaged with unity, but the unity-place-* packages don’t depend on unity.

What should happen:
 - /usr/share/unity/applications.png is part of unity-place-applications
 - /usr/share/unity/files.png is part of unity-place-files

What happens instead:
Both files are part of unity.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: unity 0.2.46-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia wl
Architecture: amd64
Date: Mon Nov 8 09:51:09 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100926)
ProcEnviron:
 LANG=fr_FR.utf8
 SHELL=/bin/bash
SourcePackage: unity

Olivier Tilloy (osomon) wrote :
Didier Roche (didrocks) wrote :

hum, that's a valid concern. Should be fixed upstream to be part of the right source file.

Changed in unity (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Didier Roche (didrocks) on 2010-11-08
Changed in unity:
status: New → Triaged
importance: Undecided → Wishlist
Didier Roche (didrocks) on 2010-11-08
Changed in unity-place-applications:
status: New → Triaged
Changed in unity-place-files:
status: New → Triaged
Changed in unity-place-applications (Ubuntu):
status: New → Triaged
Changed in unity-place-files (Ubuntu):
status: New → Triaged
Changed in unity-place-applications:
importance: Undecided → Wishlist
Changed in unity-place-applications (Ubuntu):
importance: Undecided → Wishlist
Changed in unity-place-files (Ubuntu):
importance: Undecided → Wishlist
Changed in unity-place-files:
importance: Undecided → Wishlist
Changed in unity-2d:
status: New → Triaged
importance: Undecided → High
Changed in unity-2d:
importance: High → Wishlist
Changed in unity-place-files:
milestone: none → 0.5.38
status: Triaged → Fix Released
Changed in unity-place-applications:
milestone: none → 0.2.34
status: Triaged → Fix Released
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
status: Triaged → Fix Committed
milestone: none → 3.4.6
Didier Roche (didrocks) on 2011-02-24
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-applications - 0.2.34-0ubuntu1

---------------
unity-place-applications (0.2.34-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * debian/control:
    - bump release req.
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:11:50 +0100

Changed in unity-place-applications (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-place-files - 0.5.38-0ubuntu1

---------------
unity-place-files (0.5.38-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash - search string not always taken into account (LP: #701569)
    - Sync problems when restarting Unity place daemons (LP: #721289)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - Place icons should be in their respective packages (LP: #672447)
  * update build-deps
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:12:32 +0100

Changed in unity-place-files (Ubuntu):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.4.6-0ubuntu1

---------------
unity (3.4.6-0ubuntu1) natty; urgency=low

  * New upstream release.
    - dash times out (LP: #662618)
    - possible memory leak in compiz when using places, dashboard
      (LP:#720446)
    - compiz crashed with SIGSEGV in IconTexture::~IconTexture() (LP: #721907)
    - dash - search string not always taken into account (LP: #701569)
    - Unity allows you to Quit itself (LP: #705536)
    - invisible window border problems (LP: #710271)
    - Slowliness in the file places (LP: #710791)
    - add super shortcuts to the launcher - logic (LP: #721264)
    - key navigation doesn't activate trash, keys, expo or places
      (LP:#723141)
    - Super-shortcuts for apps, files, and workspace switcher (LP: #617356)
    - New launcher tile super key overlay aesthetic (LP: #646712)
    - add cursor-key navigation to quicklists (LP: #701543)
    - Super key should open Dash (LP: #706713)
    - Dash view should use "Prefferred Applications" icons where appropriate
      (LP: #708479)
    - some partitions appear with questionmark icon (LP: #710809)
    - Unity wrongly resizes thumbnails after first opening of Files place
      (LP:#721123)
    - Change the fading and showing curve effect when hovering the bfb
      (LP:#721125)
    - Recent files appear duplicated in the Dash (LP: #646758)
    - All Applications tab only shows first 100 applications (LP: #660979)
    - slide animation typo in unity configuration (LP: #723354)
    - Place icons should be in their respective packages (LP: #672447)
    - Trash right click menu is positioned incorrectly (LP: #718880)
    - Require to use gconf to check on unity and the panel-service if the
      accessibility should be enabled (LP: #723699)
  * debian/control:
    - dep on latest nux
 -- Didier Roche <email address hidden> Thu, 24 Feb 2011 20:16:29 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
Changed in unity-2d:
milestone: none → 3.8
assignee: nobody → Florian Boucault (fboucault)
Changed in unity-2d:
status: Triaged → In Progress
Changed in unity-2d:
status: In Progress → Fix Committed
Changed in unity-2d:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers